package tab;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JTabbedPane;
import javax.swing.SwingUtilities;

public class TabComponentDemo {
    private static void constructGUI() {
  
        JTabbedPane pane = new JTabbedPane();
        // Initialize the JTabbedPane, adding 3 panes, with 
        // a title and a JLabel on each pane
        for (int i = 0; i < 3; i++) {
            String title = "Tab " + i;
            pane.add(title, new JLabel(title));
            pane.setTabComponentAt(i, new TabComponent(title, pane));
        }

        JFrame frame = new JFrame("Tab Component Demo");
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        frame.add(pane);
        frame.setSize(500, 200);
        frame.setVisible(true);
    }

    public static void main(String[] args) {
        SwingUtilities.invokeLater(new Runnable() {
            public void run() {
                constructGUI();
            }
        });
    }
}